CompositePluralAttributeElementSourceImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.hbm
Class CompositePluralAttributeElementSourceImpl

    java.lang.Object
      org.hibernate.metamodel.source.hbm.CompositePluralAttributeElementSourceImpl

All Implemented Interfaces:
  AttributeSourceContainer, CompositePluralAttributeElementSource, PluralAttributeElementSource

    public class CompositePluralAttributeElementSourceImpl

extends Object
implements CompositePluralAttributeElementSource

Constructor Summary
`CompositePluralAttributeElementSourceImpl(JaxbCompositeElementElement compositeElement, LocalBindingContext bindingContext)`

Method Summary
`Iterable<AttributeSource>` | `attributeSources()` Obtain this container's attribute sources.
`String` | `getClassName()`
`Value<Class<?>>` | `getClassReference()`
`String` | `getExplicitTuplizerClassName()`
`LocalBindingContext` | `getLocalBindingContext()` Obtain the local binding context associated with this container.
`PluralAttributeElementNature` | `getNature()`
`String` | `getParentReferenceAttributeName()`
`String` | `getPath()` Obtain the path used to uniquely identify this container.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositePluralAttributeElementSourceImpl

    public CompositePluralAttributeElementSourceImpl(JaxbCompositeElementElement compositeElement,
                                                     LocalBindingContext bindingContext)

Method Detail

### getNature

    public PluralAttributeElementNature getNature()

  Specified by:
    `getNature` in interface `PluralAttributeElementSource`

### getClassName

    public String getClassName()

  Specified by:
    `getClassName` in interface `CompositePluralAttributeElementSource`

### getClassReference

    public Value<Class<?>> getClassReference()

  Specified by:
    `getClassReference` in interface `CompositePluralAttributeElementSource`

### getParentReferenceAttributeName

    public String getParentReferenceAttributeName()

  Specified by:
    `getParentReferenceAttributeName` in interface `CompositePluralAttributeElementSource`

### getExplicitTuplizerClassName

    public String getExplicitTuplizerClassName()

  Specified by:
    `getExplicitTuplizerClassName` in interface `CompositePluralAttributeElementSource`

### getPath

    public String getPath()

  Description copied from interface: `AttributeSourceContainer`
  Obtain the path used to uniquely identify this container.

  Specified by:
    `getPath` in interface `AttributeSourceContainer`
  Returns:
    The unique identifier path

### attributeSources

    public Iterable<AttributeSource> attributeSources()

  Description copied from interface: `AttributeSourceContainer`
  Obtain this container's attribute sources.

  Specified by:
    `attributeSources` in interface `AttributeSourceContainer`
  Returns:
    The attribute sources.

### getLocalBindingContext

    public LocalBindingContext getLocalBindingContext()

  Description copied from interface: `AttributeSourceContainer`
  Obtain the local binding context associated with this container.

  Specified by:
    `getLocalBindingContext` in interface `AttributeSourceContainer`
  Returns:
    The local binding context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.